Index: trunk/org.gvsig.desktop/org.gvsig.desktop.compat.cdc/org.gvsig.fmap.mapcontext/org.gvsig.fmap.mapcontext.api/src/main/java/org/gvsig/fmap/mapcontext/MapContext.java
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.compat.cdc/org.gvsig.fmap.mapcontext/org.gvsig.fmap.mapcontext.api/src/main/java/org/gvsig/fmap/mapcontext/MapContext.java	(revision 42285)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.compat.cdc/org.gvsig.fmap.mapcontext/org.gvsig.fmap.mapcontext.api/src/main/java/org/gvsig/fmap/mapcontext/MapContext.java	(revision 42286)
@@ -1681,40 +1797,39 @@
             c.addLegendListener(eventBuffer);
         }
 
-        if (lyr instanceof FLayers){
-            FLayers lyrs=(FLayers)lyr;
-            for(int i=0;i<lyrs.getLayersCount();i++){
+        if (lyr instanceof FLayers) {
+            FLayers lyrs = (FLayers) lyr;
+            for (int i = 0; i < lyrs.getLayersCount(); i++) {
                 addSelectionListener(lyrs.getLayer(i));
             }
         }
-        if (lyr instanceof SingleLayer){
+        if (lyr instanceof SingleLayer) {
             if (((SingleLayer) lyr).getDataStore() != null) {
                 ((SingleLayer) lyr).getDataStore().addObserver(
                         MapContext.this);
             }
         }
     }
-    
 
     public void setOrderManager(LayerOrderManager lom) {
-    	orderManager = lom;
+        orderManager = lom;
     }
-    
+
     public LayerOrderManager getOrderManager() {
-    	
-    	if (orderManager == null) {
-    		orderManager = MapContextLocator.getDefaultOrderManager();
-    	}
-    	return orderManager;
+
+        if (orderManager == null) {
+            orderManager = MapContextLocator.getDefaultOrderManager();
+        }
+        return orderManager;
     }
-    
+
     public boolean hasVectorLayers() {
         return this.hasVectorLayers(this.getLayers());
     }
-    
+
     public boolean hasActiveVectorLayers() {
         FLayer[] layers = this.getLayers().getActives();
-        for( int i=0; i<layers.length; i++ ) {
+        for (int i = 0; i < layers.length; i++) {
             FLayer layer = layers[i];
             if (layer.isAvailable() && layer instanceof FLyrVect) {
                 return true;
@@ -1722,18 +1837,18 @@
         }
         return false;
     }
-    
+
     private boolean hasVectorLayers(FLayers layers) {
-            for (int i = 0; i < layers.getLayersCount(); i++) {
-                    FLayer lyr =layers.getLayer(i);
-                    if (lyr instanceof FLayers){
-                            if (hasVectorLayers((FLayers) lyr)){
-                                    return true;
-                            }
-                    } else if (lyr instanceof FLyrVect) {
-                            return true;
-                    }
+        for (int i = 0; i < layers.getLayersCount(); i++) {
+            FLayer lyr = layers.getLayer(i);
+            if (lyr instanceof FLayers) {
+                if (hasVectorLayers((FLayers) lyr)) {
+                    return true;
+                }
+            } else if (lyr instanceof FLyrVect) {
+                return true;
             }
-            return false;
+        }
+        return false;
     }
 }
